View Single Post
Old 07-11-2012, 01:51 PM   #77
NiLuJe
BLAM!
NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.
 
NiLuJe's Avatar
 
Posts: 4,920
Karma: 4492231
Join Date: Jun 2010
Location: Paris, France
Device: Kindle 2i, 3g, 4, 5w, PW & PW2
@imfede: They were built for an older FW version (The KT moved from OpenSSL 0.9.8 to OpenSSL 1.0.x in FW 5.1.0).

Rebuild them against OpenSSL 1, or link them statically.

(I'd recommend against just symlinking OpenSSl 0.9 to OpenSSL 1, the soname was bumped for a reason, so expect ABI mismatches if you do that).

Alternatively, you could pull the OpenSSL lib from FW 5.0.x, put in somewhere in the userstore, and run the tools with a tweaked LD_LIBRARY_PATH that has your custom path before the rest.

EDIT: See #82, brainfart. It's actually the other way around . [Well, technically, my answer could still apply, except, well, the other way around (0.9.8 <=> 1.0.x / 5.0.x <=> 5.1.x) . But, yeah, probably easier to just upgrade ]

Last edited by NiLuJe; 07-11-2012 at 05:11 PM.
NiLuJe is offline   Reply With Quote